#!/bin/sh

if [ ! "$MINIBROWSER" ]; then
. auth.cgi
fi

HTML_PAGE="../setup_display.html"

if [ ! "$MINIBROWSER" ]; then
    echo "Content-type: text/html"
    echo
fi

if [ -r /etc/default/xserver ]; then
	. /etc/default/xserver
fi

if [ "$XSERVER_ROTATION" = "" ]; then
    XSERVER_ROTATION="0"
fi

#SCRSAVER="`xset -display :0 q | grep timeout | sed s/'^.*t:  '/''/ | sed s/' .*'/''/`"
#SCRSAVER="`expr $SCRSAVER \/ 60`"
SCRSAVER="$XSERVER_TIMEOUT"
BRIGHTNESS="`backlight | grep 'LCD brightness' | sed s/'^.*brightness '/''/ | sed s/'%.'/''/`"
ROTATION="$XSERVER_ROTATION"
CALIBRATE="no"

case "$BRIGHTNESS" in
    100)
	BRIGHTNESS="high"
	;;
    50)
	BRIGHTNESS="middle"
	;;
    10)
	BRIGHTNESS="low"
	;;
esac

case "$BRIGHTNESS" in
    high)
	BRIGHTNESS_OPTION="<OPTION>high<\/OPTION><OPTION>middle<\/OPTION><OPTION>low<\/OPTION>"
	;;
    middle)
	BRIGHTNESS_OPTION="<OPTION>middle<\/OPTION><OPTION>high<\/OPTION><OPTION>low<\/OPTION>"
	;;
    low)
	BRIGHTNESS_OPTION="<OPTION>low<\/OPTION><OPTION>high<\/OPTION><OPTION>middle<\/OPTION>"
	;;
esac

case "$ROTATION" in
    0)
	ROTATION_OPTION="<OPTION>0<\/OPTION><OPTION>90<\/OPTION><OPTION>180<\/OPTION><OPTION>270<\/OPTION>"
	;;
    90)
	ROTATION_OPTION="<OPTION>90<\/OPTION><OPTION>0<\/OPTION><OPTION>180<\/OPTION><OPTION>270<\/OPTION>"
	;;
    180)
	ROTATION_OPTION="<OPTION>180<\/OPTION><OPTION>0<\/OPTION><OPTION>90<\/OPTION><OPTION>270<\/OPTION>"
	;;
    270)
	ROTATION_OPTION="<OPTION>270<\/OPTION><OPTION>0<\/OPTION><OPTION>90<\/OPTION><OPTION>180<\/OPTION>"
	;;
esac

case "$XSERVER_CURSOR" in
    hand2)
	CURSOR="hand"
	;;
    shuttle)
	CURSOR="none"
	;;
    *)
	CURSOR="$XSERVER_CURSOR"
	;;
esac

case "$CURSOR" in
    X_cursor)
	CURSOR_OPTION="<OPTION>X_cursor<\/OPTION><OPTION>crosshair<\/OPTION><OPTION>target<\/OPTION><OPTION>arrow<\/OPTION><OPTION>hand<\/OPTION><OPTION>spider<\/OPTION><OPTION>star<\/OPTION><OPTION>dot<\/OPTION><OPTION>none<\/OPTION>"
	;;
    crosshair)
	CURSOR_OPTION="<OPTION>crosshair<\/OPTION><OPTION>X_cursor<\/OPTION><OPTION>target<\/OPTION><OPTION>arrow<\/OPTION><OPTION>hand<\/OPTION><OPTION>spider<\/OPTION><OPTION>star<\/OPTION><OPTION>dot<\/OPTION><OPTION>none<\/OPTION>"
	;;
    target)
	CURSOR_OPTION="<OPTION>target<\/OPTION><OPTION>X_cursor<\/OPTION><OPTION>crosshair<\/OPTION><OPTION>arrow<\/OPTION><OPTION>hand<\/OPTION><OPTION>spider<\/OPTION><OPTION>star<\/OPTION><OPTION>dot<\/OPTION><OPTION>none<\/OPTION>"
	;;
    arrow)
	CURSOR_OPTION="<OPTION>arrow<\/OPTION><OPTION>X_cursor<\/OPTION><OPTION>crosshair<\/OPTION><OPTION>target<\/OPTION><OPTION>hand<\/OPTION><OPTION>spider<\/OPTION><OPTION>star<\/OPTION><OPTION>dot<\/OPTION><OPTION>none<\/OPTION>"
	;;
    hand)
	CURSOR_OPTION="<OPTION>hand<\/OPTION><OPTION>X_cursor<\/OPTION><OPTION>crosshair<\/OPTION><OPTION>target<\/OPTION><OPTION>arrow<\/OPTION><OPTION>spider<\/OPTION><OPTION>star<\/OPTION><OPTION>dot<\/OPTION><OPTION>none<\/OPTION>"
	;;
    spider)
	CURSOR_OPTION="<OPTION>spider<\/OPTION><OPTION>X_cursor<\/OPTION><OPTION>crosshair<\/OPTION><OPTION>target<\/OPTION><OPTION>arrow<\/OPTION><OPTION>hand<\/OPTION><OPTION>star<\/OPTION><OPTION>dot<\/OPTION><OPTION>none<\/OPTION>"
	;;
    star)
	CURSOR_OPTION="<OPTION>star<\/OPTION><OPTION>X_cursor<\/OPTION><OPTION>crosshair<\/OPTION><OPTION>target<\/OPTION><OPTION>arrow<\/OPTION><OPTION>hand<\/OPTION><OPTION>spider<\/OPTION><OPTION>dot<\/OPTION><OPTION>none<\/OPTION>"
	;;
    dot)
	CURSOR_OPTION="<OPTION>dot<\/OPTION><OPTION>X_cursor<\/OPTION><OPTION>crosshair<\/OPTION><OPTION>target<\/OPTION><OPTION>arrow<\/OPTION><OPTION>hand<\/OPTION><OPTION>spider<\/OPTION><OPTION>star<\/OPTION><OPTION>none<\/OPTION>"
	;;
    none)
	CURSOR_OPTION="<OPTION>none<\/OPTION><OPTION>X_cursor<\/OPTION><OPTION>crosshair<\/OPTION><OPTION>target<\/OPTION><OPTION>arrow<\/OPTION><OPTION>hand<\/OPTION><OPTION>spider<\/OPTION><OPTION>star<\/OPTION><OPTION>dot<\/OPTION>"
	;;
esac

if [ "$MINIBROWSER" ]; then
    SCRSAVER="$SCRSAVER`echo min`"

    echo "CALIBRATE=$CALIBRATE"
    echo "SCRSAVER=$SCRSAVER"
    echo "BRIGHTNESS=$BRIGHTNESS"
    echo "ROTATION=$ROTATION"
    echo "CURSOR=$CURSOR"
else
    LOGOUT_REF=""

    if [ "$PASSWORD_MB" ]; then
	LOGOUT_REF="                        \<A href=\"setup_logout.cgi\" title=\"Logout\"\>Logout\<\/A\>"
    fi

    cat $HTML_PAGE | sed s/"cgi-bin\/"/""/g | sed /"setup_logout.cgi"/s/"^.*$"/"$LOGOUT_REF"/ |sed s/'$SCRSAVER'/"$SCRSAVER"/g \
		   | sed s/'$BRIGHTNESS_OPTION'/"$BRIGHTNESS_OPTION"/g | sed s/'$ROTATION_OPTION'/"$ROTATION_OPTION"/g \
		   | sed s/'$CURSOR_OPTION'/"$CURSOR_OPTION"/g
fi
